Pause a job (not yet implemented)
POST
/api/v1/jobs/{job_id}/pause
const url = 'https://example.com/api/v1/jobs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/pause';const options = {method: 'POST', headers: {'X-Label-Hub-Key': '<X-Label-Hub-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/jobs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/pause \ --header 'X-Label-Hub-Key: <X-Label-Hub-Key>'Placeholder — returns 501 ProblemDetail. Mid-job pause will be implemented when the queue worker gains control-plane support for pausing an in-progress raster stream. This endpoint exists so the Phase 7 UI can wire to a stable URL.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”job_id
required
Job Id
string format: uuid
Responses
Section titled “Responses”Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}Successful Response
Media typeapplication/json
ProblemDetail
RFC 7807 Problem Details object.
All fields are optional except type, title, and status.
The extensions field carries additional problem-type-specific
context (e.g. expected_mm / loaded_mm for tape mismatches).
object
extensions
Extensions
Additional problem-type-specific fields
object
key
additional properties
any
status
required
Status
HTTP status code
integer
title
required
Title
Short human-readable summary of the problem
string
type
Type
URI reference identifying the problem type
string
Example
{ "type": "about:blank"}